describe('ringtone', () => {
	beforeEach(() => {
		cy.visit('/my/create/ringtone')
	})

	it('should be created', () => {
		cy.intercept('POST', new URL('/api/ringtones', Cypress.env('API_BASE_URL')).toString()).as('request')
		cy
			.get('input[name="name"]')
			.type('Happy Birthday')

		cy
			.get('textarea[name="data"]')
			.type('8g1 8g1 4a1 4g1 4c2 2b1 8g1 8g1 4a1 4g1 4d2 2c2 8g1 8g1 4g2 4e2 8c2 8c2 4b1 4a1 8f2 8f2 4e2 4c2 4d2 2c2')

		cy
			.get('form[aria-label="Create Ringtone"]')
			.submit()

		cy.wait('@request').its('response.statusCode').should('equal', 201)
	})
})
