module.exports = {
	preset: 'ts-jest',
	testEnvironment: 'jsdom',
	globals: {
		'ts-jest': {
			tsconfig: '<rootDir>/tsconfig.test.json',
		},
	},
	collectCoverageFrom: [
		'src/components/**/*.{jsx,tsx}',
		'src/modules/**/*.{js,ts}',
		'src/utils/**/*.{js,ts}',
	],
	setupFilesAfterEnv: ['<rootDir>/jest.setup.ts']
};
