import {DependencyContainer} from 'tsyringe';
import {PrismaClient} from '@prisma/client';

export default (container: DependencyContainer) => {
	container.register('PrismaClient', { useValue: new PrismaClient() })
	container.register('PASSWORD_GEN_SALT_ROUNDS', { useValue: process.env.PASSWORD_GEN_SALT_ROUNDS })
}
