import { DependencyContainer } from 'tsyringe'
import { RingtoneControllerImpl } from './controller'
import { RingtoneServiceImpl } from './service'

export default (container: DependencyContainer) => {
	container.register('RingtoneController', { useClass: RingtoneControllerImpl })
	container.register('RingtoneService', { useClass: RingtoneServiceImpl })
}
