import FastifyAuth0Verify, { FastifyAuth0VerifyOptions } from 'fastify-auth0-verify';
import fp from 'fastify-plugin';

export default fp<FastifyAuth0VerifyOptions>(async (fastify, opts) => {
	fastify.register(FastifyAuth0Verify, {
		domain: process.env.AUTH0_DOMAIN,
		secret: process.env.AUTH0_SECRET
	})
});
